### Method

# Xdp Session set_selection

#### Declaration [src]

    void
    xdp_session_set_selection (
      XdpSession* session,
      const char** mime_types
    )

#### Description [src]

Set the clipboard selection to advertise support for the passed list of mime types.

When some entity in the windowing system requests to retrieve the contents of the selection, the `XdpSession::selection-transfer` signal is emitted. In response to this, the caller of this function must respond by calling `xdp_session_selection_write()` with the serial number passed via the mentioned signal.

#### Parameters

`mime_types`

  Type: `const char**`

  A NULL terminated array of mime type strings.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.